/*
 * Replacement for a missing asprintf and vasprintf.
 *
 * Provides the same functionality as the standard GNU library routines
 * asprintf and vasprintf for those platforms that don't have them.
 *
 * Written by Russ Allbery <rra@stanford.edu>
 * This work is hereby placed in the public domain by its author.
 */

#include <stdio.h>
#include <stdarg.h>


int asprintf(char **strp, char *fmt, ...)
{
    va_list ap;
    int status;
	int needed=1024;
	char *foo;

/*    *strp = malloc(needed + 1);*/
/*    if (*strp == NULL)*/
/*        return -1;*/
    va_start(ap, fmt);
	puts("HOSTIA");
	printf("FMT: %s\n",fmt);
	vprintf(fmt, ap);
	puts("HOSTIA");
    status = vsnprintf(*strp, needed + 1, fmt, ap);

	foo=(char *)(&fmt+1);
	puts(foo);

    va_end(ap);
    return status;
}

